import java.util.Iterator;
import java.util.List;

//classe principale del programma;
//si tratta di una classe "driver" che fa uso delle funzionalita'
//della classe Board
public class Esercizio {

	//punto di inizio del programma;
	//crea un tavoliere contenente la posizione specificata nel file di testo
	//e visualizza la lista delle posizioni giocabili dal bianco
	public static void main(String[] args) {
		if(args.length != 1) {
			System.err.println("Deve essere specificato il nome del file contenente il tavoliere");
		} else {
			try {
				Board board = new Board();
				board.readFromFile(args[0]);
				List positionsList = board.playableList(Board.WHITE);
				for(Iterator i = positionsList.iterator(); i.hasNext(); ) {
					System.out.print(i.next());
					if(i.hasNext()) {
						System.out.print(" ");
					}
				}
			} catch(InvalidBoardException e) {
				System.err.println("Errore leggendo il tavoliere - "+e);
			}
		}
	}
}
